/**********************************************************************
*  Πρόγραμμα 2 οδήγησης ενός πλήκτρου στιγμιαίας επαφής στον ακροδέκτη 2 της μονάδας Arduino UNO
*  για προσομοίωση της συμπεριφοράς σκανδάλης όπλου
*   ***********************************************************************/
// Ορισμός του ακροδέκτη που θα συνδεθεί το πλήκτρο
#define MyButton    2

// μεταβλητή που θα κρατά την τελευταία κατάσταση που είχε βρεθεί το πλήκτρο
boolean ButtonLastState = HIGH;
// μεταβλητή που θα κρατά τον αριθμό των σφαιρών που έχει ρίξει το όπλο
int Bullets = 0;

void setup(void)
{
 // Ρύθμιση του ακροδέκτη σε είσοδο
  pinMode(MyButton,INPUT); 
// Αρχικοποίηση του τερματικού
  Serial.begin(9600);
}

void loop(void)
{    
  // Κάνε μία επαναληπτική διαδικασία που θα ελέγχει διαρκώς τη στάθμη στον ακροδέκτη 2  
 // αν ο ακροδέκτης βρίσκεται σε χαμηλή κατάσταση σημαίνει ότι το πλήκτρο πατήθηκε
  if (digitalRead(MyButton) == LOW)
  {   
   // αν η τελευταία κατάσταση που είχε ο ακροδέκτης ήταν υψηλή σημαίνει ότι το πλήκτρο δεν ήταν 
   // ήδη πατημένο επομένως πρέπει να πυροδοτήσουμε μία σφαίρα
   if (ButtonLastState == HIGH)
    {  
       // Εμφάνισε στο τερματικό το μήνυμα Έριξα ΧΧ Σφαίρες αφού αυξήσεις πρώτα τις σφαίρες κατά 1
       Serial.print ("Έριξα ”);
       Serial.print (++Bullets);
       Serial.println (" Σφαίρες”);
       // Δήλωσε πως η τελευταία κατάσταση που βρέθηκε το πλήκτρο ήταν πατημένο
       ButtonLastState = LOW;
     }     
 }
 else // αλλιώς αν ο ακροδέκτης βρίσκεται σε υψηλή κατάσταση
 {
   // Σημαίνει πως το πλήκτρο δεν είναι πατημένο, κάνε έλεγχο αν η τελευταία κατάσταση που είχε
   // το πλήκτρο ήταν χαμηλή
   if (ButtonLastState == LOW)
   {  
      // στην περίπτωση που η τελευταία κατάσταση που είχε το πλήκτρο ήταν χαμηλή σημαίνει πως
      // το πλήκτρο πατήθηκε και απελευθερώθηκε επομένως θα πρέπει να θέσουμε την κατάσταση 
      // της μεταβλητής αυτής ξανά σε HIGH ώστε να γίνει επόμενος έλεγχος κατά το πάτημα του πλήκτρου
      ButtonLastState = HIGH;
   }   
  }
}
