/**********************************************************************
*  Πρόγραμμα 3 οδήγησης ενός πλήκτρου στιγμιαίας επαφής στον ακροδέκτη 2 της μονάδας Arduino UNO
*  για προσομοίωση της συμπεριφοράς σκανδάλης όπλου με χρήση εξωτερικής διακοπής
*   ***********************************************************************/
// Ορισμός του ακροδέκτη που θα συνδεθεί το πλήκτρο
#define MyButton    2
// μεταβλητή που θα κρατά τον αριθμό των σφαιρών που έχει ρίξει το όπλο
int Bullets = 0;

void setup(void)
{
 // Ρύθμιση του ακροδέκτη σε είσοδο
  pinMode(MyButton,INPUT); 
// Προσάπτουμε τη ρουτίνα ButtonPressed() στην εξωτερική διακοπή του ακροδέκτη 2 κατά την 
// πτώση του παλμού σε αυτό τον ακροδέκτη
  attachInterrupt(digitalPinToInterrupt(MyButton), ButtonPressed, FALLING);
// Αρχικοποίηση του τερματικού
  Serial.begin(9600);
}

void loop(void)
{    
}

// Ρουτίνα εξυπηρέτησης διακοπής κατά την πτώση του παλμού στον ακροδέκτη 2
void ButtonPressed()
{
  // Αν ο ακροδέκτης βρίσκεται σε χαμηλή κατάσταση
  if (digitalRead(MyButton) == LOW)
  {
     // καθυστέρησε για αποφυγή του φαινομένου αναπήδησης του πλήκτρου
     delay(100);
       // Εμφάνισε στο τερματικό το μήνυμα Έριξα ΧΧ Σφαίρες αφού αυξήσεις πρώτα τις σφαίρες κατά 1
       Serial.print ("Έριξα ”);
       Serial.print (++Bullets);
       Serial.println (" Σφαίρες”);
    }
}
