/**********************************************************************
*  Πρόγραμμα οδήγησης αισθητήρα μέτρησης υγρασίας εδάφους
*  στον ακροδέκτη Α0 της μονάδας Arduino UNO
*   ***********************************************************************/
// Ορισμός του ακροδέκτη που θα συνδεθεί ο αισθητήρας
#define Sensor_Analog _Pin   A0

void setup(void)
{
 // Ρύθμιση της σειριακής επικοινωνίας για εμφάνιση μηνυμάτων στο τερματικό
  Serial.begin(9600); 
}

void loop(void)
{    
  // σε κάθε επανάληψη κάνε ανάγνωση των δεδομένων του αισθητήρα
 int SensorData = analogRead(Sensor_Analog_Pin);
//  Η στάθμη της τάσης που ανιχνεύει το αναλογικό κανάλι σχετίζεται με το ποσοστό υγρασίας. 
//  Όσο μεγαλύτερη είναι η στάθμη τόσο μεγαλύτερο είναι το ποσοστό υγρασίας στο έδαφος.
//  Η τιμές τις στάθμης από το αναλογικό κανάλι κυμαίνονται από 0 – 1023 που αντιστοιχούν σε 0%-100%
// Εμφάνισε το αποτέλεσμα στο τερματικό
  Serial.print("Soil Humidity = ");
  Serial.print( (SensorData/1023) * 100    );
  Serial.println("  %");
// Καθυστέρησε 2 δευτερόλεπτα έως την επόμενη μέτρηση
  delay(2000);
}
