/******************************************************************************
*  Πρόγραμμα οδήγησης σερβοκινητήρα στον ακροδέκτη 3 της μονάδας Arduino UNO
*  Εκτελεί επαναλαμβανόμενα μία κίνηση στον άξονα του κινητήρα από 0ο – 180ο και αντίστροφα
*   *****************************************************************************/
// Συμπεριλαμβάνουμε τη βιβλιοθήκη οδήγησης σερβοκινητήρων
#include <Servo.h>

// δημιουργούμε ένα αντικείμενο της κλάσης οδήγησης σερβοκινητήρων με το οποίο θα ελέγχουμε
// το σερβοκινητήρα που έχουμε συνδέσει στη μονάδα Arduino
Servo servomotor1;
// Ορισμός ακροδέκτη που θα συνδεθεί ο σερβοκινητήρας
int Control_Pin =   3;
// μεταβλητή που θα κρατά τη γωνία του σερβοκινητήρα
int angle = 0;


void setup(void)
{
  // δηλώνουμε τον ακροδέκτη οδήγησης του σερβοκινητήρα κάνοντας χρήση του αντικειμένου που
 // δημιουργήσαμε στην αρχή
  servomotor1.attach(Control_Pin);
       // θέσε τη γωνία 0 στον σερβοκινητήρα
       servomotor1.write(angle);
       // περίμενε 2 δευτερόλεπτα πριν ξεκινήσεις τη διαδικασία
       delay(2000);
}

void loop(void)
{    
// το πρόγραμμα έχει δύο φάσεις, στην πρώτη μετακινούμαστε από 0 σε 180 μοίρες
// και στην δεύτερη μετακινούμαστε αντίθετα. 

   // εκτέλεσε επαναληπτικά την διαδικασία αύξησης της γωνίας από 0 σε 180 μοίρες
   for (angle = 0; angle < 180; angle++)
   {
       // θέσε τη γωνία στον σερβοκινητήρα
       servomotor1.write(angle);
       // καθυστέρησε μερικά ms για να είναι εμφανής η αλλαγή 
       delay(100);    
   }

   // εκτέλεσε επαναληπτικά την διαδικασία μείωσης της γωνίας από 180 σε 0 μοίρες
   for (angle = 180; angle > 0; angle--)
   {
       // θέσε τη γωνία στον σερβοκινητήρα
       servomotor1.write(angle);
       // καθυστέρησε μερικά ms για να είναι εμφανής η αλλαγή 
       delay(100);    
   }       
 }
