/******************************************************************************
*  Πρόγραμμα οδήγησης για την αποστολή ασύρματων δεδομένων θερμοκρασίας του αισθητήρα
*  LM35 από την τελική συσκευή με διεύθυνση 0XCA01 στην συσκευή συντονιστή 0xCA00.  
*   *****************************************************************************/
// Δηλώνουμε μία μεταβλητή που θα κρατά τα δεδομένα της μετατροπής του αναλογικού καναλιού 0
int adc_value_a0 =   0;

void setup(void)
{
       // κάνουμε χρήση της σειριακής επικοινωνίας UART με BaudRate 9600
       // το Baud Rate θα πρέπει να είναι ίδιο και στη μονάδα XBEE
       Serial.begin(9600);
}

void loop(void)
{    
   // Σε κάθε επανάληψη κάνε μέτρηση της τιμής της θερμοκρασίας από τον αισθητήρα
   adc_value_a0 = analogRead(A0);

   // πρέπει να χωρίσουμε τα δεδομένα σε 2 byte ώστε να τα αποστείλουμε στην θύρα UART
   int adc_lsb = adc_value_a0 & 0b0000000011111111;
   int adc_msb = (adc_value_a0 >> 8);
   // κάνε αποστολή των δεδομένων στη θύρα με το LSB πρώτο και το MSB δεύτερο
   Serial.print(adc_lsb);
   Serial.print(adc_msb);
   // Στείλε το χαρακτήρα αλλαγής γραμμής για να δηλώσουμε ότι τελείωσε η αποστολή δεδομένων
   Serial.println();     
    // Εκτέλεσε τη διαδικασία κάθε 5 δευτερόλεπτα
   delay(5000);     
 }
