/**********************************************************************
*  Πρόγραμμα οδήγησης ενός Buzzer στον ακροδέκτη 3 της μονάδας Arduino UNO
*  Παράγουμε ηχητικούς τόνους αυξανόμενης συχνότητας από 32 έως 4000Hz
*   ***********************************************************************/
// Ορισμός του ακροδέκτη που θα συνδεθεί το Buzzer
#define Buzzer    3

void setup(void)
{
 // Ρύθμιση του ακροδέκτη σε έξοδο
  pinMode(Buzzer,OUTPUT); 
}

void loop(void)
{    
  // Εκτέλεσε την διαδικασία αυτή 10 φορές
for (int j = 0; j < 10; j++)
{
  // Εκτέλεσε μία επαναληπτική διαδικασία  κατά την οποία αυξάνεις σε κάθε επανάληψη τη συχνότητα 
  // κατά 1 Hz μέχρι τα 4000Ηz
  for (int i=32; i<4000; i++)
  { 
    tone(Buzzer,i);  // Παρήγαγε τον ηχητικό τόνο στον ακροδέκτη που έχουμε συνδέσει το Buzzer
  }
}
   // Όταν η διαδικασία έχει εκτελεστεί 10 φορές σταμάτα την παραγωγή του τόνου στον ακροδέκτη
    noTone(Buzzer);
}
