/**********************************************************************
*  Πρόγραμμα οδήγησης του αισθητήρα προσέγγισης υπερήχων SR04
*  στους ακροδέκτες 2 και 3  της μονάδας Arduino UNO
*   ***********************************************************************/
// Ορισμός των ακροδεκτών
#define ECHO_PIN    2
#define TRIG_PIN      3

void setup(void)
{
 // Ρύθμισης της κατεύθυνσης των ακροδεκτών
  pinMode(ECHO_PIN,INPUT);
  pimMode(TRIG_PIN,OUTPUT);

 // Ρύθμιση της σειριακής επικοινωνίας για εμφάνιση μηνυμάτων στο τερματικό
  Serial.begin(9600); 
}

void loop(void)
{    
  // θέτουμε σε χαμηλή κατάσταση τον ακροδέκτη TRIG για να προετοιμάσουμε τον αισθητήρα
 digitalWrite(TRIG_PIN,LOW);
//  περίμενε τουλάχιστον 2 μs προκειμένου να σταθεροποιηθεί η γραμμή του ακροδέκτη 
delayMicroseconds(2);
 // οδήγησε τον ακροδέκτη TRIG σε υψηλή κατάσταση για 10μs και έπειτα πάλι σε χαμηλή
digitalWrite(TRIG_PIN,HIGH);
delayMicroseconds(10);
digitalWrite(TRIG_PIN,LOW); 
// Μετά από αυτό θα πρέπει να ακροαστούμε τον ακροδέκτη ECHO στον οποίο θα πρέπει
// να μετρήσουμε το χρόνο που διαρκεί ο παλμός (σε υψηλή κατάσταση) ώστε να βρούμε το χρόνο t
  long Echo_Signal_Duration = pulsein(ECHO_PIN,HIGH);
// υπολόγισε την απόσταση από την σχέση υπολογισμού 
  float distance = (Echo_Signal_Duration * 0.034) / 2;
// Εμφάνισε το αποτέλεσμα στο τερματικό σε cm
  Serial.print(distance = "); Serial.print(distance); Serial.println(" cm");
