/**********************************************************************
*  Πρόγραμμα οδήγησης του αισθητήρα DHT22
*  στον ακροδέκτη 2 της μονάδας Arduino UNO
*   ***********************************************************************/
// Συμπερίληψη της βιβλιοθήκης οδήγησης του αισθητήρα
#include <dht.h>
// δημιούργησε ένα αντικείμενο με όνομα DHT22Sensor με το οποίο θα έχουμε πρόσβαση στις
// μεθόδους οδήγησης της βιβλιοθήκης για τον αισθητήρα
dht DHT22Sensor;
// Ορισμός του ακροδέκτη που θα συνδεθεί ο αισθητήρας
#define Sensor_Data _Pin   2

void setup(void)
{
 // Ρύθμιση της σειριακής επικοινωνίας για εμφάνιση μηνυμάτων στο τερματικό
  Serial.begin(9600); 
}

void loop(void)
{    
  // σε κάθε επανάληψη κάνε ανάγνωση των δεδομένων του αισθητήρα
 int SensorData = DHT22Sensor.read22(Sensor_Data_Pin);
//  από τα δεδομένα που επέστρεψε ο αισθητήρας πάρε τα δεδομένα της υγρασίας και της θερμοκρασίας.
float  humidity = DHT22Sensor.humidity();
float  temperature = DHT22Sensor.temperature();

// Εμφάνισε το αποτέλεσμα στο τερματικό
  Serial.print("Humidity = ");
  Serial.print(humidity);
  Serial.println("  %");
  Serial.print("Temperature = ");
  Serial.print(temperature);
  Serial.println(" C");

// Καθυστέρησε 10 δευτερόλεπτα έως την επόμενη μέτρηση
  delay(10000);
}
