/******************************************************************************
*  Πρόγραμμα οδήγησης αισθητήρα ΤΕΜΤ6000 στον ακροδέκτη Α0 της μονάδας Arduino UNO
*   *****************************************************************************/
// Ορισμός του ακροδέκτη που θα συνδεθεί ο αισθητήρας
#define TEMT6000_OUT    A0

void setup(void)
{
 // Ρύθμιση της μονάδας σειριακής επικοινωνίας για έξοδο στο τερματικό
  Serial.begin(9600); 
}

void loop(void)
{    
// Σε κάθε επανάληψη κάνε μέτρηση της στάθμης στο αναλογικό κανάλι που έχει συνδεθεί ο αισθητήρας 
int adc_value = analogRead(TEMT6000_OUT);
// η τιμή της στάθμης του αναλογικού καναλιού κυμαίνεται από 0-1023 που αντιστοιχούν σε 0-5V
// κάνε μετατροπή της κλίμακας 0-1023 σε 0-5V
float voltage = (adc_value * 5.0f)/1023.0f;
// εμφάνισε το αποτέλεσμα στο τερματικό σε μορφή τάσης
Serial.print("voltage = ");
Serial.print(voltage);
Serial.println(" V");
// καθυστέρησε την επόμενη μέτρηση 100ms
 delay(100);
}
