/**********************************************************************
*  Πρόγραμμα οδήγησης του αισθητήρα GP2Y0A21YK
*  στον ακροδέκτη Α0  της μονάδας Arduino UNO
*   ***********************************************************************/
// Ορισμός του ακροδέκτη που θα συνδεθεί ο αισθητήρας
#define Distance_Sensor_Out    A0

void setup(void)
{
 // Ρύθμιση της σειριακής επικοινωνίας για εμφάνιση μηνυμάτων στο τερματικό
  Serial.begin(9600); 
}

void loop(void)
{    
  // σε κάθε επανάληψη κάνε μέτρηση της στάθμης στο αναλογικό κανάλι
 //  που έχει συνδεθεί ο αισθητήρας
 unsigned int ADCValue = analogRead(Distance_Sensor_Out);
//  Μετέτρεψε την τιμή της στάθμης του μετατροπέα ADC σε τιμή τάσης για 
// τροφοδοσία 5V
float Vout = (ADCValue * 5.0f) / 1024.0f;
 // υπολόγισε τη συνάρτηση μεταφοράς για να υπολογίσεις την απόσταση σε cm
float distance = 27.86 * pow(Vout, -1.15); 
// Εμφάνισε το αποτέλεσμα στο τερματικό
  Serial.print("Distance = ");
  Serial.print(distance);
  Serial.println("  cm");
// Καθυστέρησε 400 ms έως την επόμενη μέτρηση
  delay(400);
}
